<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: upload.SubversionVCS Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classupload_1_1SubversionVCS.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">upload.SubversionVCS Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for upload.SubversionVCS:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classupload_1_1SubversionVCS__inherit__graph.svg" width="226" height="187"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for upload.SubversionVCS:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classupload_1_1SubversionVCS__coll__graph.svg" width="226" height="187"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8333f94e27335ce83eed0cc3f5a1eeb0"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1SubversionVCS.html#a8333f94e27335ce83eed0cc3f5a1eeb0">__init__</a> (self, options)</td></tr>
<tr class="separator:a8333f94e27335ce83eed0cc3f5a1eeb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d22d459469a757270502ce0dccacbd2"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1SubversionVCS.html#a7d22d459469a757270502ce0dccacbd2">GuessBase</a> (self, required)</td></tr>
<tr class="separator:a7d22d459469a757270502ce0dccacbd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07c2d341f2c7df2772dd7f85e89b0212"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1SubversionVCS.html#a07c2d341f2c7df2772dd7f85e89b0212">GenerateDiff</a> (self, args)</td></tr>
<tr class="separator:a07c2d341f2c7df2772dd7f85e89b0212"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a494ba1010992d83cac015bc396ab693a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1SubversionVCS.html#a494ba1010992d83cac015bc396ab693a">GetUnknownFiles</a> (self)</td></tr>
<tr class="separator:a494ba1010992d83cac015bc396ab693a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a340d269b74386ac863636f6b0683d9f4"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1SubversionVCS.html#a340d269b74386ac863636f6b0683d9f4">ReadFile</a> (self, filename)</td></tr>
<tr class="separator:a340d269b74386ac863636f6b0683d9f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3785eb1fa561088206d01570f9fe982"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1SubversionVCS.html#ac3785eb1fa561088206d01570f9fe982">GetStatus</a> (self, filename)</td></tr>
<tr class="separator:ac3785eb1fa561088206d01570f9fe982"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29dec4941de0824734d6842a2f33ffc3"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1SubversionVCS.html#a29dec4941de0824734d6842a2f33ffc3">GetBaseFile</a> (self, filename)</td></tr>
<tr class="separator:a29dec4941de0824734d6842a2f33ffc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classupload_1_1VersionControlSystem"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classupload_1_1VersionControlSystem')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classupload_1_1VersionControlSystem.html">upload.VersionControlSystem</a></td></tr>
<tr class="memitem:ad2923d691a1b1047e9359c5b7c1c103f inherit pub_methods_classupload_1_1VersionControlSystem"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1VersionControlSystem.html#ad2923d691a1b1047e9359c5b7c1c103f">CheckForUnknownFiles</a> (self)</td></tr>
<tr class="separator:ad2923d691a1b1047e9359c5b7c1c103f inherit pub_methods_classupload_1_1VersionControlSystem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a812c3b3daf90c88b015fa4b26252e291 inherit pub_methods_classupload_1_1VersionControlSystem"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1VersionControlSystem.html#a812c3b3daf90c88b015fa4b26252e291">GetBaseFiles</a> (self, diff)</td></tr>
<tr class="separator:a812c3b3daf90c88b015fa4b26252e291 inherit pub_methods_classupload_1_1VersionControlSystem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e334f967301b9e85e5a9c39f5036823 inherit pub_methods_classupload_1_1VersionControlSystem"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1VersionControlSystem.html#a7e334f967301b9e85e5a9c39f5036823">UploadBaseFiles</a> (self, issue, rpc_server, patch_list, patchset, options, files)</td></tr>
<tr class="separator:a7e334f967301b9e85e5a9c39f5036823 inherit pub_methods_classupload_1_1VersionControlSystem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a846889ecd2ef40870b456ddb5b349e02 inherit pub_methods_classupload_1_1VersionControlSystem"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1VersionControlSystem.html#a846889ecd2ef40870b456ddb5b349e02">IsImage</a> (self, filename)</td></tr>
<tr class="separator:a846889ecd2ef40870b456ddb5b349e02 inherit pub_methods_classupload_1_1VersionControlSystem"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ad1553a69f4a790309273dbdeb9077732"><td class="memItemLeft" align="right" valign="top"><a id="ad1553a69f4a790309273dbdeb9077732"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>rev_start</b></td></tr>
<tr class="separator:ad1553a69f4a790309273dbdeb9077732"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0bb07a099c722b7f8622de4b225904f"><td class="memItemLeft" align="right" valign="top"><a id="ac0bb07a099c722b7f8622de4b225904f"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>rev_end</b></td></tr>
<tr class="separator:ac0bb07a099c722b7f8622de4b225904f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa801782f807674b06f491df5d7ca9942"><td class="memItemLeft" align="right" valign="top"><a id="aa801782f807674b06f491df5d7ca9942"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>svnls_cache</b></td></tr>
<tr class="separator:aa801782f807674b06f491df5d7ca9942"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60645c40d2fea4cd52881576bd13341f"><td class="memItemLeft" align="right" valign="top"><a id="a60645c40d2fea4cd52881576bd13341f"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>svn_base</b></td></tr>
<tr class="separator:a60645c40d2fea4cd52881576bd13341f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_classupload_1_1VersionControlSystem"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classupload_1_1VersionControlSystem')"><img src="closed.png" alt="-"/>&#160;Data Fields inherited from <a class="el" href="classupload_1_1VersionControlSystem.html">upload.VersionControlSystem</a></td></tr>
<tr class="memitem:a4d57d043bc408887b94269fe4cea9556 inherit pub_attribs_classupload_1_1VersionControlSystem"><td class="memItemLeft" align="right" valign="top"><a id="a4d57d043bc408887b94269fe4cea9556"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>options</b></td></tr>
<tr class="separator:a4d57d043bc408887b94269fe4cea9556 inherit pub_attribs_classupload_1_1VersionControlSystem"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Implementation of the VersionControlSystem interface for Subversion.</pre> </div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a8333f94e27335ce83eed0cc3f5a1eeb0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8333f94e27335ce83eed0cc3f5a1eeb0">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def upload.SubversionVCS.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>options</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Constructor.

Args:
  options: Command line options.
</pre> 
<p>Reimplemented from <a class="el" href="classupload_1_1VersionControlSystem.html#ace97e5785a2b40011404ae6fbb956ecf">upload.VersionControlSystem</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a07c2d341f2c7df2772dd7f85e89b0212"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07c2d341f2c7df2772dd7f85e89b0212">&#9670;&nbsp;</a></span>GenerateDiff()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def upload.SubversionVCS.GenerateDiff </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>args</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Return the current diff as a string.

Args:
  args: Extra arguments to pass to the diff command.
</pre> 
<p>Reimplemented from <a class="el" href="classupload_1_1VersionControlSystem.html#aa5eb260c96e7016dab36b5fc136c9f49">upload.VersionControlSystem</a>.</p>

</div>
</div>
<a id="a29dec4941de0824734d6842a2f33ffc3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29dec4941de0824734d6842a2f33ffc3">&#9670;&nbsp;</a></span>GetBaseFile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def upload.SubversionVCS.GetBaseFile </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>filename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Get the content of the upstream version of a file.

Returns:
  A tuple (base_content, new_content, is_binary, status)
    base_content: The contents of the base file.
    new_content: For text files, this is empty.  For binary files, this is
      the contents of the new file, since the diff output won't contain
      information to reconstruct the current file.
    is_binary: True iff the file is binary.
    status: The status of the file.
</pre> 
<p>Reimplemented from <a class="el" href="classupload_1_1VersionControlSystem.html#adfd9d4ecba422102233a2ba13e5bfaf5">upload.VersionControlSystem</a>.</p>

</div>
</div>
<a id="ac3785eb1fa561088206d01570f9fe982"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3785eb1fa561088206d01570f9fe982">&#9670;&nbsp;</a></span>GetStatus()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def upload.SubversionVCS.GetStatus </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>filename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Returns the status of a file.</pre> 
</div>
</div>
<a id="a494ba1010992d83cac015bc396ab693a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a494ba1010992d83cac015bc396ab693a">&#9670;&nbsp;</a></span>GetUnknownFiles()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def upload.SubversionVCS.GetUnknownFiles </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Return a list of files unknown to the VCS.</pre> 
<p>Reimplemented from <a class="el" href="classupload_1_1VersionControlSystem.html#a56a60e56aa9aff3df4001d2f84cab884">upload.VersionControlSystem</a>.</p>

</div>
</div>
<a id="a7d22d459469a757270502ce0dccacbd2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d22d459469a757270502ce0dccacbd2">&#9670;&nbsp;</a></span>GuessBase()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def upload.SubversionVCS.GuessBase </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>required</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Wrapper for _GuessBase.</pre> 
</div>
</div>
<a id="a340d269b74386ac863636f6b0683d9f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a340d269b74386ac863636f6b0683d9f4">&#9670;&nbsp;</a></span>ReadFile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def upload.SubversionVCS.ReadFile </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>filename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Returns the contents of a file.</pre> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>upload.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>upload</b></li><li class="navelem"><a class="el" href="classupload_1_1SubversionVCS.html">SubversionVCS</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
